Subject: Too much sun for Impatiens???

From: [email-masked] (Molly Waterman)
Date: 3 Apr 1995 18:44:38 GMT

I'm in a new home this summer and finally have some flower beds that aren't
in full sun all day.  I had hoped to plant Impatiens in a bed on the 
northeast side of the house.  However, I've been noticing that this
bed is in the sun until about 1:00 p.m.  It is shaded by some trees from
the very early morning sun, but is probably in full sun by about 8:00 a.m.

Is this too much sun for Impatiens??  I'm in zone 8.

Molly